Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2Symbols Class Reference

Handles the symbols of the Xabsl2Engine. More...

`#include <Xabsl2Symbols.h>`

Inheritance diagram for Xabsl2Symbols:

[legend]
Collaboration diagram for Xabsl2Symbols:

[legend]
List of all members.

## Public Member Functions
| Xabsl2Symbols (Xabsl2ErrorHandler &errorHandler)
| Constructor.
| ~Xabsl2Symbols ()
| Destructor.
void | registerDecimalInputSymbol (const char *name, const double *pVariable)
| Registers the address of a variable for a decimal input symbol.
void | registerDecimalInputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, double(Xabsl2FunctionProvider::*pFunction)())
| Registers the address of a function for a decimal input symbol.
Xabsl2DecimalInputSymbol * | getDecimalInputSymbol (const char *name)
| Returns a decimal input symbol for a given name Note that the function crashes if the symbol does not exist.
bool | existsDecimalInputSymbol (const char *name)
| Returns whether a decimal input symbol exists.
int | numberOfDecimalInputSymbols ()
| Returns the number of DecimalInputSymbols.
const Xabsl2DecimalInputSymbol * | getDecimalInputSymbol (int index)
| Returns the DecimalInputSymbol at index.
void | registerDecimalInputFunction (const char *name, Xabsl2FunctionProvider *pInstance, double(Xabsl2FunctionProvider::*pFunction)())
| Registers the address of a parameterized decimal input function.
void | registerDecimalInputFunctionParameter (const char *functionName, const char *name, double &param)
| Registers a parameter of a parameterized decimal input function.
Xabsl2DecimalInputFunction * | getDecimalInputFunction (const char *name)
| Returns a decimal input function for a given name Note that the function crashes if the function does not exist.
bool | existsDecimalInputFunction (const char *name)
| Returns whether a decimal input function exists.
void | registerBooleanInputSymbol (const char *name, const bool *pVariable)
| Registers the address of a variable for a boolean input symbol.
void | registerBooleanInputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, bool(Xabsl2FunctionProvider::*pFunction)())
| Registers the address of a function for a boolean input symbol.
Xabsl2BooleanInputSymbol * | getBooleanInputSymbol (const char *name)
| Returns a boolean input symbol for a given name Note that the function crashes if the symbol does not exist.
bool | existsBooleanInputSymbol (const char *name)
| Returns whether a boolean input symbol exists.
int | numberOfBooleanInputSymbols ()
| Returns the number of BooleanInputSymbols.
const Xabsl2BooleanInputSymbol * | getBooleanInputSymbol (int index)
| Returns the DecimalInputSymbol at index.
void | registerEnumeratedInputSymbol (const char *name, const int *pVariable)
| Registers the address of a variable for a enumerated input symbol.
void | registerEnumeratedInputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, int(Xabsl2FunctionProvider::*pFunction)())
| Registers the address of a function for a enumerated input symbol.
Xabsl2EnumeratedInputSymbol * | getEnumeratedInputSymbol (const char *name)
| Returns a enumerated input symbol for a given name Note that the function crashes if the symbol does not exist.
void | registerEnumeratedInputSymbolEnumElement (const char *symbolName, const char *name, int value)
| Registers an enum element for an enumerated input symbol.
bool | existsEnumeratedInputSymbol (const char *name)
| Returns whether a boolean input symbol exists.
int | numberOfEnumeratedInputSymbols ()
| Returns the number of EnumeratedInputSymbols.
const Xabsl2EnumeratedInputSymbol * | getEnumeratedInputSymbol (int index)
| Returns the DecimalInputSymbol at index.
void | registerEnumeratedOutputSymbol (const char *name, int *pVariable)
| Registers the address of a variable for a enumerated output symbol.
void | registerEnumeratedOutputSymbol (const char *name, Xabsl2FunctionProvider *pInstance, void(Xabsl2FunctionProvider::*pFunction)(int))
| Registers the address of a function for a enumerated output symbol.
Xabsl2EnumeratedOutputSymbol * | getEnumeratedOutputSymbol (const char *name)
| Returns a enumerated output symbol for a given name Note that the function crashes if the symbol does not exist.
void | registerEnumeratedOutputSymbolEnumElement (const char *symbolName, const char *name, int value)
| Registers an enum element for an enumerated output symbol.
bool | existsEnumeratedOutputSymbol (const char *name)
| Returns whether a boolean output symbol exists.
void | setOutputSymbols ()
| Sets the output symbols to the software environment.
## Private Attributes
Xabsl2Array< Xabsl2DecimalInputSymbol * > | decimalInputSymbols
| The decimal input symbols.
Xabsl2Array< Xabsl2DecimalInputFunction * > | decimalInputFunctions
| The decimal input functions.
Xabsl2Array< Xabsl2BooleanInputSymbol * > | booleanInputSymbols
| The decimal input symbols.
Xabsl2Array< Xabsl2EnumeratedInputSymbol * > | enumeratedInputSymbols
| The enumerated input symbols.
Xabsl2Array< Xabsl2EnumeratedOutputSymbol * > | enumeratedOutputSymbols
| The enumerated output symbols.
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occur.

## Detailed Description

Handles the symbols of the Xabsl2Engine.

Author:
  Martin Lötzsch

Definition at line 294 of file Xabsl2Symbols.h.

## Constructor & Destructor Documentation

Xabsl2Symbols::Xabsl2Symbols | ( | Xabsl2ErrorHandler & | errorHandler | ) | `[inline]`

  | Constructor. Parameters:
  errorHandler | Is invoked when errors occur
Definition at line 301 of file Xabsl2Symbols.h.

Xabsl2Symbols::~Xabsl2Symbols | ( |  | ) |

| Destructor. Definition at line 45 of file Xabsl2Symbols.cpp. References booleanInputSymbols, decimalInputFunctions, decimalInputSymbols, enumeratedInputSymbols, enumeratedOutputSymbols, Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::getSize(), Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getSize(), Xabsl2Array< Xabsl2BooleanInputSymbol * >::getSize(), Xabsl2Array< Xabsl2DecimalInputFunction * >::getSize(), and Xabsl2Array< Xabsl2DecimalInputSymbol * >::getSize().

Here is the call graph for this function:

## Member Function Documentation

void Xabsl2Symbols::registerDecimalInputSymbol | ( | const char * | name,
|  | const double * | pVariable
| ) |

  | Registers the address of a variable for a decimal input symbol. Parameters:
  name | The name of the symbol
  pVariable | A pointer to a variable in the software environment
Definition at line 55 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2DecimalInputSymbol * >::append(), decimalInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2DecimalInputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GT2005HeadControlSymbols::registerSymbols(), KickLoggerSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), GT2005ConfigurationSymbols::registerSymbols(), GT2005WalkCalibrationMainBehavior::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RobotPoseSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), PlayersSymbols::registerSymbols(), PassSymbols::registerSymbols(), ObstaclesSymbols::registerSymbols(), MotionRequestSymbols::registerSymbols(), MathFunctions::registerSymbols(), KickSelectionSymbols::registerSymbols(), JoystickSymbols::registerSymbols(), GTCamSymbols::registerSymbols(), FieldSymbols::registerSymbols(), ChallengeSymbols::registerSymbols(), and AngleSymbols::registerSymbols().

Here is the call graph for this function:

void Xabsl2Symbols::registerDecimalInputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | double(Xabsl2FunctionProvider::* | pFunction)()
| ) |

  | Registers the address of a function for a decimal input symbol. Parameters:
  name | The name of the symbol
  pFunction | A pointer to a function that calculates a value for the symbol
  pInstance | A pointer to an object that provides the function
Definition at line 68 of file Xabsl2Symbols.cpp. References XABSL2_DEBUG_INIT.

Xabsl2DecimalInputSymbol * Xabsl2Symbols::getDecimalInputSymbol | ( | const char * | name | ) |

  | Returns a decimal input symbol for a given name Note that the function crashes if the symbol does not exist. Parameters:
  name | The name of the symbol
Returns: A pointer to the symbol Definition at line 81 of file Xabsl2Symbols.cpp. References decimalInputSymbols, and Xabsl2Array< Xabsl2DecimalInputSymbol * >::getElement(). Referenced by GTXabsl2EngineExecutor::handleMessage(), GTXabsl2Log::init(), GTXabsl2Profiler::recordLog(), and Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef().

Here is the call graph for this function:

bool Xabsl2Symbols::existsDecimalInputSymbol | ( | const char * | name | ) |

| Returns whether a decimal input symbol exists. Definition at line 86 of file Xabsl2Symbols.cpp. References decimalInputSymbols, and Xabsl2Array< Xabsl2DecimalInputSymbol * >::exists(). Referenced by GTXabsl2EngineExecutor::handleMessage(), and Xabsl2DecimalInputSymbolRef::Xabsl2DecimalInputSymbolRef().

Here is the call graph for this function:

int Xabsl2Symbols::numberOfDecimalInputSymbols | ( |  | ) |

| Returns the number of DecimalInputSymbols. Definition at line 91 of file Xabsl2Symbols.cpp. References decimalInputSymbols, and Xabsl2Array< Xabsl2DecimalInputSymbol * >::getSize(). Referenced by GTXabsl2Log::init(), and GTXabsl2Profiler::recordLog().

Here is the call graph for this function:

const Xabsl2DecimalInputSymbol * Xabsl2Symbols::getDecimalInputSymbol | ( | int | index | ) |

  | Returns the DecimalInputSymbol at index. Parameters:
  index | The index for the array access
Definition at line 96 of file Xabsl2Symbols.cpp. References decimalInputSymbols, Xabsl2Array< Xabsl2DecimalInputSymbol * >::getElement(), and Xabsl2Array< Xabsl2DecimalInputSymbol * >::getSize().

Here is the call graph for this function:

void Xabsl2Symbols::registerDecimalInputFunction | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | double(Xabsl2FunctionProvider::* | pFunction)()
| ) |

  | Registers the address of a parameterized decimal input function. Parameters:
  name | The name of the function
  pFunction | A pointer to the function.
  pInstance | A pointer to an object that provides the function.
Definition at line 103 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2DecimalInputFunction * >::append(), decimalInputFunctions, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2DecimalInputFunction * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by TestSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), GT2005ConfigurationSymbols::registerSymbols(), RobotPoseSymbols::registerSymbols(), MathFunctions::registerSymbols(), KickSelectionSymbols::registerSymbols(), HeadAndTailSymbols::registerSymbols(), and ChallengeSymbols::registerSymbols().

Here is the call graph for this function:

void Xabsl2Symbols::registerDecimalInputFunctionParameter | ( | const char * | functionName,
|  | const char * | name,
|  | double & | param
| ) |

  | Registers a parameter of a parameterized decimal input function. Parameters:
  functionName | The name of the function
  name | The name of the parameter
  param | A reference to the parameter
Definition at line 117 of file Xabsl2Symbols.cpp. References Xabsl2Array< double & >::append(), decimalInputFunctions, Xabsl2ErrorHandler::error(), Xabsl2Array< double & >::exists(), Xabsl2Array< Xabsl2DecimalInputFunction * >::exists(), Xabsl2Array< Xabsl2DecimalInputFunction * >::getElement(), Xabsl2ErrorHandler::message(), Xabsl2DecimalInputFunction::parameters, and XABSL2_DEBUG_INIT. Referenced by TestSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), GT2005ConfigurationSymbols::registerSymbols(), RobotPoseSymbols::registerSymbols(), MathFunctions::registerSymbols(), KickSelectionSymbols::registerSymbols(), HeadAndTailSymbols::registerSymbols(), and ChallengeSymbols::registerSymbols().

Here is the call graph for this function:

Xabsl2DecimalInputFunction * Xabsl2Symbols::getDecimalInputFunction | ( | const char * | name | ) |

  | Returns a decimal input function for a given name Note that the function crashes if the function does not exist. Parameters:
  name | The name of the function
Returns: A pointer to the function Definition at line 136 of file Xabsl2Symbols.cpp. References decimalInputFunctions, and Xabsl2Array< Xabsl2DecimalInputFunction * >::getElement(). Referenced by Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall().

Here is the call graph for this function:

bool Xabsl2Symbols::existsDecimalInputFunction | ( | const char * | name | ) |

| Returns whether a decimal input function exists. Definition at line 141 of file Xabsl2Symbols.cpp. References decimalInputFunctions, and Xabsl2Array< Xabsl2DecimalInputFunction * >::exists(). Referenced by Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall().

Here is the call graph for this function:

void Xabsl2Symbols::registerBooleanInputSymbol | ( | const char * | name,
|  | const bool * | pVariable
| ) |

  | Registers the address of a variable for a boolean input symbol. Parameters:
  name | The name of the symbol
  pVariable | A pointer to a variable in the software environment
Definition at line 147 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2BooleanInputSymbol * >::append(), booleanInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2BooleanInputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GT2005HeadControlSymbols::registerSymbols(), TestSymbols::registerSymbols(), OpenChallengeSymbols::registerSymbols(), KickLoggerSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), PassSymbols::registerSymbols(), ObstaclesSymbols::registerSymbols(), JoystickSymbols::registerSymbols(), ChallengeSymbols::registerSymbols(), and AngleSymbols::registerSymbols().

Here is the call graph for this function:

void Xabsl2Symbols::registerBooleanInputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | bool(Xabsl2FunctionProvider::* | pFunction)()
| ) |

  | Registers the address of a function for a boolean input symbol. Parameters:
  name | The name of the symbol
  pFunction | A pointer to a function that calculates a value for the symbol
  pInstance | A pointer to an object that provides the function
Definition at line 160 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2BooleanInputSymbol * >::append(), booleanInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2BooleanInputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

Xabsl2BooleanInputSymbol * Xabsl2Symbols::getBooleanInputSymbol | ( | const char * | name | ) |

  | Returns a boolean input symbol for a given name Note that the function crashes if the symbol does not exist. Parameters:
  name | The name of the symbol
Returns: A pointer to the symbol Definition at line 173 of file Xabsl2Symbols.cpp. References booleanInputSymbols, and Xabsl2Array< Xabsl2BooleanInputSymbol * >::getElement(). Referenced by GTXabsl2EngineExecutor::handleMessage(), GTXabsl2Log::init(), GTXabsl2Profiler::recordLog(), and Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef().

Here is the call graph for this function:

bool Xabsl2Symbols::existsBooleanInputSymbol | ( | const char * | name | ) |

| Returns whether a boolean input symbol exists. Definition at line 178 of file Xabsl2Symbols.cpp. References booleanInputSymbols, and Xabsl2Array< Xabsl2BooleanInputSymbol * >::exists(). Referenced by GTXabsl2EngineExecutor::handleMessage(), and Xabsl2BooleanInputSymbolRef::Xabsl2BooleanInputSymbolRef().

Here is the call graph for this function:

int Xabsl2Symbols::numberOfBooleanInputSymbols | ( |  | ) |

| Returns the number of BooleanInputSymbols. Definition at line 183 of file Xabsl2Symbols.cpp. References booleanInputSymbols, and Xabsl2Array< Xabsl2BooleanInputSymbol * >::getSize(). Referenced by GTXabsl2Log::init(), and GTXabsl2Profiler::recordLog().

Here is the call graph for this function:

const Xabsl2BooleanInputSymbol * Xabsl2Symbols::getBooleanInputSymbol | ( | int | index | ) |

  | Returns the DecimalInputSymbol at index. Parameters:
  index | The index for the array access
Definition at line 188 of file Xabsl2Symbols.cpp. References booleanInputSymbols, Xabsl2Array< Xabsl2BooleanInputSymbol * >::getElement(), and Xabsl2Array< Xabsl2BooleanInputSymbol * >::getSize().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedInputSymbol | ( | const char * | name,
|  | const int * | pVariable
| ) |

  | Registers the address of a variable for a enumerated input symbol. Parameters:
  name | The name of the symbol
  pVariable | A pointer to a variable in the software environment
Definition at line 195 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::append(), enumeratedInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GT2005HeadControlSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), GT2005ConfigurationSymbols::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), ObstaclesSymbols::registerSymbols(), MotionRequestSymbols::registerSymbols(), and JoystickSymbols::registerSymbols().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedInputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | int(Xabsl2FunctionProvider::* | pFunction)()
| ) |

  | Registers the address of a function for a enumerated input symbol. Parameters:
  name | The name of the symbol
  pFunction | A pointer to a function that calculates a value for the symbol
  pInstance | A pointer to an object that provides the function
Definition at line 207 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::append(), enumeratedInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

Xabsl2EnumeratedInputSymbol * Xabsl2Symbols::getEnumeratedInputSymbol | ( | const char * | name | ) |

  | Returns a enumerated input symbol for a given name Note that the function crashes if the symbol does not exist. Parameters:
  name | The name of the symbol
Returns: A pointer to the symbol Definition at line 220 of file Xabsl2Symbols.cpp. References enumeratedInputSymbols, and Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getElement(). Referenced by GTXabsl2EngineExecutor::handleMessage(), GTXabsl2Log::init(), GTXabsl2Profiler::recordLog(), and Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement | ( | const char * | symbolName,
|  | const char * | name,
|  | int | value
| ) |

  | Registers an enum element for an enumerated input symbol. Parameters:
  symbolName | The name of the symbol
  name | The name of the enum element
  value | The value of the element
Definition at line 225 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumElement * >::append(), Xabsl2EnumeratedInputSymbol::enumElements, enumeratedInputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumElement * >::exists(), Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::exists(), Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getElement(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GT2005HeadControlSymbols::registerSymbols(), GT2005StrategySymbols::registerSymbols(), GT2005ConfigurationSymbols::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), ObstaclesSymbols::registerSymbols(), MotionRequestSymbols::registerSymbols(), and JoystickSymbols::registerSymbols().

Here is the call graph for this function:

bool Xabsl2Symbols::existsEnumeratedInputSymbol | ( | const char * | name | ) |

| Returns whether a boolean input symbol exists. Definition at line 243 of file Xabsl2Symbols.cpp. References enumeratedInputSymbols, and Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::exists(). Referenced by GTXabsl2EngineExecutor::handleMessage(), and Xabsl2EnumeratedInputSymbolComparison::Xabsl2EnumeratedInputSymbolComparison().

Here is the call graph for this function:

int Xabsl2Symbols::numberOfEnumeratedInputSymbols | ( |  | ) |

| Returns the number of EnumeratedInputSymbols. Definition at line 248 of file Xabsl2Symbols.cpp. References enumeratedInputSymbols, and Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getSize(). Referenced by GTXabsl2Log::init(), and GTXabsl2Profiler::recordLog().

Here is the call graph for this function:

const Xabsl2EnumeratedInputSymbol * Xabsl2Symbols::getEnumeratedInputSymbol | ( | int | index | ) |

  | Returns the DecimalInputSymbol at index. Parameters:
  index | The index for the array access
Definition at line 253 of file Xabsl2Symbols.cpp. References enumeratedInputSymbols, Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getElement(), and Xabsl2Array< Xabsl2EnumeratedInputSymbol * >::getSize().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedOutputSymbol | ( | const char * | name,
|  | int * | pVariable
| ) |

  | Registers the address of a variable for a enumerated output symbol. Parameters:
  name | The name of the symbol
  pVariable | A pointer to a variable in the software environment
Definition at line 260 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::append(), enumeratedOutputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GTXabsl2Profiler::registerSymbols(), GT2005StrategySymbols::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), MathFunctions::registerSymbols(), LEDAndSoundSymbols::registerSymbols(), HeadAndTailSymbols::registerSymbols(), ChallengeSymbols::registerSymbols(), CalibrationSymbols::registerSymbols(), and AngleSymbols::registerSymbols().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedOutputSymbol | ( | const char * | name,
|  | Xabsl2FunctionProvider * | pInstance,
|  | void(Xabsl2FunctionProvider::* | pFunction)(int)
| ) |

  | Registers the address of a function for a enumerated output symbol. Parameters:
  name | The name of the symbol
  pFunction | A pointer to a function that sets a value for the symbol
  pInstance | A pointer to an object that provides the function
Definition at line 272 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::append(), enumeratedOutputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::exists(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

Xabsl2EnumeratedOutputSymbol * Xabsl2Symbols::getEnumeratedOutputSymbol | ( | const char * | name | ) |

  | Returns a enumerated output symbol for a given name Note that the function crashes if the symbol does not exist. Parameters:
  name | The name of the symbol
Returns: A pointer to the symbol Definition at line 285 of file Xabsl2Symbols.cpp. References enumeratedOutputSymbols, and Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::getElement(). Referenced by Xabsl2State::create(), and GTXabsl2EngineExecutor::handleMessage().

Here is the call graph for this function:

void Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement | ( | const char * | symbolName,
|  | const char * | name,
|  | int | value
| ) |

  | Registers an enum element for an enumerated output symbol. Parameters:
  symbolName | The name of the symbol
  name | The name of the enum element
  value | The value of the element
Definition at line 290 of file Xabsl2Symbols.cpp. References Xabsl2Array< Xabsl2EnumElement * >::append(), Xabsl2EnumeratedOutputSymbol::enumElements, enumeratedOutputSymbols, Xabsl2ErrorHandler::error(), Xabsl2Array< Xabsl2EnumElement * >::exists(), Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::exists(), Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::getElement(), Xabsl2ErrorHandler::message(), and XABSL2_DEBUG_INIT. Referenced by GTXabsl2Profiler::registerSymbols(), GT2005StrategySymbols::registerSymbols(), SpecialVisionSymbols::registerSymbols(), RobotStateSymbols::registerSymbols(), RoboCupGameManagerSymbols::registerSymbols(), MathFunctions::registerSymbols(), LEDAndSoundSymbols::registerSymbols(), HeadAndTailSymbols::registerSymbols(), ChallengeSymbols::registerSymbols(), CalibrationSymbols::registerSymbols(), and AngleSymbols::registerSymbols().

Here is the call graph for this function:

bool Xabsl2Symbols::existsEnumeratedOutputSymbol | ( | const char * | name | ) |

| Returns whether a boolean output symbol exists. Definition at line 308 of file Xabsl2Symbols.cpp. References enumeratedOutputSymbols, and Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::exists(). Referenced by Xabsl2State::create(), and GTXabsl2EngineExecutor::handleMessage().

Here is the call graph for this function:

void Xabsl2Symbols::setOutputSymbols | ( |  | ) |

| Sets the output symbols to the software environment. Definition at line 314 of file Xabsl2Symbols.cpp. References enumeratedOutputSymbols, and Xabsl2Array< Xabsl2EnumeratedOutputSymbol * >::getSize(). Referenced by Xabsl2Engine::execute(), and GTXabsl2EngineExecutor::executeEngine().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2Array<Xabsl2DecimalInputSymbol*> Xabsl2Symbols::decimalInputSymbols`[private]`

| The decimal input symbols. Definition at line 493 of file Xabsl2Symbols.h. Referenced by existsDecimalInputSymbol(), getDecimalInputSymbol(), numberOfDecimalInputSymbols(), registerDecimalInputSymbol(), and ~Xabsl2Symbols().

Xabsl2Array<Xabsl2DecimalInputFunction*> Xabsl2Symbols::decimalInputFunctions`[private]`

| The decimal input functions. Definition at line 496 of file Xabsl2Symbols.h. Referenced by existsDecimalInputFunction(), getDecimalInputFunction(), registerDecimalInputFunction(), registerDecimalInputFunctionParameter(), and ~Xabsl2Symbols().

Xabsl2Array<Xabsl2BooleanInputSymbol*> Xabsl2Symbols::booleanInputSymbols`[private]`

| The decimal input symbols. Definition at line 499 of file Xabsl2Symbols.h. Referenced by existsBooleanInputSymbol(), getBooleanInputSymbol(), numberOfBooleanInputSymbols(), registerBooleanInputSymbol(), and ~Xabsl2Symbols().

Xabsl2Array<Xabsl2EnumeratedInputSymbol*> Xabsl2Symbols::enumeratedInputSymbols`[private]`

| The enumerated input symbols. Definition at line 502 of file Xabsl2Symbols.h. Referenced by existsEnumeratedInputSymbol(), getEnumeratedInputSymbol(), numberOfEnumeratedInputSymbols(), registerEnumeratedInputSymbol(), registerEnumeratedInputSymbolEnumElement(), and ~Xabsl2Symbols().

Xabsl2Array<Xabsl2EnumeratedOutputSymbol*> Xabsl2Symbols::enumeratedOutputSymbols`[private]`

| The enumerated output symbols. Definition at line 505 of file Xabsl2Symbols.h. Referenced by existsEnumeratedOutputSymbol(), getEnumeratedOutputSymbol(), registerEnumeratedOutputSymbol(), registerEnumeratedOutputSymbolEnumElement(), setOutputSymbols(), and ~Xabsl2Symbols().

Xabsl2ErrorHandler& Xabsl2Symbols::errorHandler`[private]`

| Is invoked when errors occur. Reimplemented in Xabsl2Engine. Definition at line 508 of file Xabsl2Symbols.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Symbols.cpp